fann_get_layer_array
fann_get_learning_rate
Fann Functions
PHP Manual

# fann_get_learning_momentum

(PECL fann >= 1.0.0)

fann_get_learning_momentum — Returns the learning momentum

### Description

float fann_get_learning_momentum ( resource `$ann` )

The learning momentum can be used to speed up `FANN_TRAIN_INCREMENTAL` training. A too high momentum will however not benefit training. Setting momentum to 0 will be the same as not using the momentum parameter. The recommended value of this parameter is between 0.0 and 1.0.

The default momentum is 0.

### Parameters

`ann`

  Neural network resource.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

The learning momentum, or `FALSE` on error.

### See Also

- fann_set_learning_momentum() - Sets the learning momentum
- fann_set_training_algorithm() - Sets the training algorithm

fann_get_layer_array
fann_get_learning_rate
Fann Functions
PHP Manual